OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKXCAFSchema
MXCAFDoc

# MXCAFDoc Class Reference

`#include <MXCAFDoc.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
## Static Public Member Functions
static Standard_EXPORT void | AddStorageDrivers (const Handle(MDF_ASDriverHSequence)&aDriverSeq, const Handle(CDM_MessageDriver)&theMsgDriver)
| Adds the attribute storage drivers to <adriverseq>. .
static Standard_EXPORT void | AddRetrievalDrivers (const Handle(MDF_ARDriverHSequence)&aDriverSeq, const Handle(CDM_MessageDriver)&theMsgDriver)
| Adds the attribute retrieval drivers to <adriverseq>. .

## Member Function Documentation

static Standard_EXPORT void MXCAFDoc::AddRetrievalDrivers | ( | const Handle(MDF_ARDriverHSequence)& | aDriverSeq,
|  | const Handle(CDM_MessageDriver)& | theMsgDriver
| ) | `[static]`

static Standard_EXPORT void MXCAFDoc::AddStorageDrivers | ( | const Handle(MDF_ASDriverHSequence)& | aDriverSeq,
|  | const Handle(CDM_MessageDriver)& | theMsgDriver
| ) | `[static]`

void MXCAFDoc::operator delete | ( | void * | anAddress | ) | `[inline]`

void* MXCAFDoc::operator new | ( | size_t | size | ) | `[inline]`

void* MXCAFDoc::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

The documentation for this class was generated from the following file:

- MXCAFDoc.hxx